- name: Install Remote facts 
  hosts: webserver
  vars:
    remote_dir: /etc/ansible/facts.d
    facts_file: custom.fact

  tasks:

    - name: create remote directory
      file:
        state: directory
        recurse: True
        path: "{{ remote_dir }}"
    - name: Install the facts
      copy:
        src: "{{ facts_file }}"
        dest: "{{ remote_dir }}"

